com.microfocus.awm.model

## Interface IApplicationProperty

- All Known Implementing Classes:
    AbstractInternalApplicationProperty, ApplicationProperty, MasterConfigurationProperty

      public interface IApplicationProperty

  `IApplicationProperty`s are special relationships of `Property`s.

  The `IPropertyValue` of an `IApplicationProperty` is accessible in any `IExecutionContext`. The property value is either constant or can be changed through resource processing "Update".

  Author:
    NicolasP

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearPropertyCache()` Clear the cache of the `IApplicationProperty`.
    `ITaurusApplication` | `getApplication()` Returns the corresponding `ITaurusApplication` to the `IApplicationProperty`.
    `java.lang.String` | `getDefaultValue()` Return the default value of the `IApplicationProperty`.
    `Property` | `getProperty()` Returns the corresponding target property `Property` of the `IApplicationProperty`.
    `EPropertyValueType` | `getPropertyType()` Return the `EPropertyValueType`.
    `IPropertyValue` | `getPropertyValue()` Return the corresponding `IPropertyValue` of the `IApplicationProperty`.
    `void` | `initApplicationProperty(ITaurusApplication pApplication)` `initApplicationProperty(ITaurusApplication)` is executed in the process of loading an `ITaurusApplication` after all `IApplicationProperty`s were created.
    `boolean` | `isConstant()` Whether the `IApplicationProperty` is a constant or not.
    `boolean` | `isMandatory()` Whether the `IApplicationProperty` is a mandatory application property.
    `void` | `refreshProperty()` Refreshes the `IApplicationProperty`.
    `void` | `unloadProperty()` Unloads the `IApplicationProperty`.

- - ### Method Detail

    - #### isConstant

          boolean isConstant()

      Whether the `IApplicationProperty` is a constant or not. A constant `IApplicationProperty` is not changeable through resource processing.
      Returns:
        whether the `IApplicationProperty` is a constant or not.

    - #### getProperty

          Property getProperty()

      Returns the corresponding target property `Property` of the `IApplicationProperty`.
      Returns:
        the corresponding target property `Property` of the `IApplicationProperty`

    - #### isMandatory

          boolean isMandatory()

      Whether the `IApplicationProperty` is a mandatory application property. A mandatory application property must NOT have an empty or `null` value.
      Returns:
        whether the `IApplicationProperty` is a mandatory application property

    - #### getDefaultValue

          java.lang.String getDefaultValue()

      Return the default value of the `IApplicationProperty`. This value is required to reset the value of an `IApplicationProperty`, for example if the cache becomes cleared. The default value must NOT be `null`.
      Returns:
        the default value of the `IApplicationProperty`. The default value must NOT be `null`.

    - #### getApplication

          ITaurusApplication getApplication()

      Returns the corresponding `ITaurusApplication` to the `IApplicationProperty`.
      Returns:
        the corresponding `ITaurusApplication`

    - #### getPropertyValue

          IPropertyValue getPropertyValue()

      Return the corresponding `IPropertyValue` of the `IApplicationProperty`.
      Returns:
        the corresponding `IPropertyValue` of the `IApplicationProperty`.

    - #### initApplicationProperty

          void initApplicationProperty(ITaurusApplication pApplication)

      `initApplicationProperty(ITaurusApplication)` is executed in the process of loading an `ITaurusApplication` after all `IApplicationProperty`s were created.
      Parameters:
        `pApplication` - the currently active application

    - #### refreshProperty

          void refreshProperty()

      Refreshes the `IApplicationProperty`.

      This method is called when an `ITaurusSystem` is refreshed.

    - #### getPropertyType

          EPropertyValueType getPropertyType()

      Return the `EPropertyValueType`.
      Returns:
        the `EPropertyValueType`. Only the property types `EPropertyValueType.APPLICATION_PROPERTY` and `EPropertyValueType.STATIC_MASTER_CONFIGURATION` are supported for `IApplicationProperty`s.

    - #### unloadProperty

          void unloadProperty()

      Unloads the `IApplicationProperty`. This method is called when `ITaurusApplication.unloadApplication()` is executed.

    - #### clearPropertyCache

          void clearPropertyCache()

      Clear the cache of the `IApplicationProperty`.

Copyright © 2015 Micro Focus GmbH. All rights reserved.